package cn.com.qmth.examcloud.marking.api.response;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseResponse;
import cn.com.qmth.examcloud.marking.api.bean.MarkerBean;

import java.util.List;

/**
 * @ClassName GetMarkerResp
 * @Description TODO
 * @Author nikang
 * @Date 2018/9/20 11:45
 * @Version 3.0
 */
public class GetMarkerResp extends BaseResponse {
    private static final long serialVersionUID = 6101833806539265492L;
    /**
     * 当前页码
     */
    private long index = 1;

    /**
     * 每页的数量
     */
    private long limit = 10;

    /**
     * 当前页的数量
     */
    private long size;

    /**
     * 总记录数
     */
    private long total;

    /**
     * 总页数
     */
    private long pages;

    /**
     * 结果集
     */
    private List<MarkerBean> markerList;

    public List<MarkerBean> getMarkerList() {
        return markerList;
    }

    public void setMarkerList(List<MarkerBean> markerList) {
        this.markerList = markerList;
    }

    public GetMarkerResp() {

    }

    public long getIndex() {
        return index;
    }

    public void setIndex(long index) {
        this.index = index;
    }

    public long getLimit() {
        return limit;
    }

    public void setLimit(long limit) {
        this.limit = limit;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public long getPages() {
        return pages;
    }

    public void setPages(long pages) {
        this.pages = pages;
    }
}
